Subject: Re: bug#60977: 29.0.60; Dired: invalid face reference with dir symlinks

From: Juri Linkov <[email-masked]>
Date: Sun, 22 Jan 2023 19:05:44 +0200

> - Link target fontified with undefined 'dired-directory-face' face
> - *Messages* says 'Invalid face reference: dired-directory-face'
>
> This seems to be a regression in Emacs 29 (https://bugs.gnu.org/57293):

Thanks for finding this regression.

> But I don't know whether it's acceptable for emacs-29, or whether it
> conses too much during font lock.  In the latter case, we could evaluate
> dired-directory-face once (when dired-font-lock-keywords is defined), or
> we could use the 'dired-directory' face directly.  WDYT?

I think the effect of consing is negligible.